using System;

namespace ESRI.BAServer.SOAP
{
	/// <summary>
	/// Provides an authentication token.
	/// </summary>
	public interface ITokenProvider
	{
		/// <summary>
		/// Gets or sets the current authentication token.
		/// </summary>
		string CurrentToken { get; set; }

		/// <summary>
		/// Creates a new authentication token.
		/// </summary>
		void UpdateToken();
	}
}
